org.eclnt.jsfserver.elements.impl.selfcontaining

## Class SCBaseActionComponent

- java.lang.Object
- - UIComponentBase
  - - org.eclnt.jsfserver.elements.BaseComponent
    - - org.eclnt.jsfserver.elements.BaseActionComponent
      - - org.eclnt.jsfserver.elements.impl.selfcontaining.SCBaseActionComponent

- All Implemented Interfaces:
    java.io.Serializable, CLogConstants

      public class SCBaseActionComponent
      extends BaseActionComponent

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `BaseComponent.DecodePassData, BaseComponent.IEventQueue`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ISCComponentActionListener` | `m_actionListener`
    `protected IComponentAdapterBinding` | `m_adapterBinding`

    - ### Fields inherited from class org.eclnt.jsfserver.elements.BaseActionComponent

      `m_actionListeners, m_immediate`

    - ### Fields inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `m_attributesIsDynamicInfo, m_attributesIsManagedViaAdapterBinding, m_attributesReferenceInfo, m_attributesSetViaStyle, m_attributesTakeOverInfo, m_currentDump, m_explicitlyNulledAttributes, m_lastDumpRequestSequenceId, m_previousDump, m_styleValues, m_tagAttributes`

    - ### Fields inherited from interface org.eclnt.util.log.CLogConstants

      `LL_DBG, LL_ERR, LL_INF, LL_WAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCBaseActionComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IComponentAdapterBinding` | `getComponentAdapterBinding()` Access component adapter binding.
    `protected void` | `processActionEvent(BaseActionEvent event)`
    `void` | `setActionListener(ISCComponentActionListener actionListener)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.BaseActionComponent

      `addActionListener, broadcast, clearActionListeners, createBaseActionEvent, decode, decode, getAction, getActionListener, getActionListeners, getActionListenersAsList, getFirstActionListener, isImmediate, removeActionListener, restoreState, saveState, setAction, setImmediate, triggerActionEvent`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `addExplicitlyNulledAttribute, addValueBindingExec, addValueExpressionExec, appendDecodeInformation, applyChangedStyleVariant, buildAttributesIsDynamicInfo, checkIfAttributeIsExplicitlyNulled, checkIfAttributesIsManagedByExpression, checkIfComponentHasAdapterBinding, checkIfComponentIdIsPartOfRequest, checkIfComponentTagIsAvailable, checkIfEncodeCalledFirstTime, checkIfStyleVariantIsDynamic, checkIfStyleVariantWasUpdated, checkIfToTakeOverAttribute, convertValueDuringDecode, convertValueDuringGetAttribute, createNewIdCounter, createSubId, createSubId, destroy, detectChangesInSubComponents, encodeBegin, encodeChildren, encodeEnd, ensureSessionIsValid, executeQueueingOfBufferedEvents, findContentReplaceListDuringRendering, findCurrentDump, getAdapterBindingAterEncodeBegin, getApplicationReference, getAttributeFromAdapterBinding, getAttributeFromAdapterBinding, getAttributesGet, getAttributesGet, getAttributesSetViaStyle, getAttributeString, getAttributeValueAsString, getChild, getClientTagName, getComponentClass, getExpressionFromComponentAttribute, getFamily, getInnerEventRequestId, getOriginalAttributeString, getParameterNameForDecode, getPreferredDataType, getRendersChildren, getSavedState, getTagAttributes, isDestroyed, isRendered, m_componentRepository, passPropertyUsage, passStyleValues, processDecodes, processUpdates, processValidators, queueEvent, queueEventExecute, reactOnSetPropertiesByTagFinished, readAttributeValueDuringEncodeFromAttributesOrFromAdapterBinding, readCurrentComponentDump, readDefaultUpdateAttribute, readPreviousComponentDump, readTagAttributes, readTagAttributesSet, registerInnerEvent, renderComponentNoChange, resetInternalAttributeBuffer, resetPreviousDump, resolveComponentValueAsString, retrieveValueFromComponent, setApplicationReference, setAttributeValueFromOutside, setComponentBinding, setCurrentComponentDump, setExpressionAsComponentAttributeFromOutside, setParent, setRendered, setRendersChildren, updateAttributeValue, updateComponentBinding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_adapterBinding

          protected IComponentAdapterBinding m_adapterBinding

    - #### m_actionListener

          protected ISCComponentActionListener m_actionListener

  - ### Constructor Detail

    - #### SCBaseActionComponent

          public SCBaseActionComponent()

  - ### Method Detail

    - #### setActionListener

          public void setActionListener(ISCComponentActionListener actionListener)

      Overrides:
        `setActionListener` in class `BaseActionComponent`

    - #### getComponentAdapterBinding

          protected IComponentAdapterBinding getComponentAdapterBinding()

      Description copied from class: `BaseComponent`
      Access component adapter binding.
      Overrides:
        `getComponentAdapterBinding` in class `BaseComponent`

    - #### processActionEvent

          protected void processActionEvent(BaseActionEvent event)

Copyright © CaptainCasa Gmbh. All Rights Reserved.